Package org.eclipse.birt.chart.model.attribute

# Interface Fill

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Subinterfaces:
  `ColorDefinition`, `EmbeddedImage`, `Gradient`, `Image`, `MultipleFill`, `PatternImage`

All Known Implementing Classes:
  `ColorDefinitionImpl`, `EmbeddedImageImpl`, `FillImpl`, `GradientImpl`, `ImageImpl`, `MultipleFillImpl`, `PatternImageImpl`

public interface Fill extends IChartObject
A representation of the model object 'Fill'. Fill represents the information about how to fill a graphic element in a chart.

The following features are supported:

- `Type`

See Also:
  - `AttributePackage.getFill()`

## Method Summary

Modifier and Type
Method
Description
`Fill`
`copyInstance()`
`int`
`getType()`
Returns the value of the 'Type' attribute.
`boolean`
`isSetType()`
Returns whether the value of the '`Type`' attribute is set.
`void`
`setType(int value)`
Sets the value of the '`Type`' attribute.
`void`
`unsetType()`
Unsets the value of the '`Type`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getType

int getType()
Returns the value of the 'Type' attribute. Gets the type of the background element. Specifies the type of the background element.

Returns:
  the value of the 'Type' attribute.
See Also:
  - `isSetType()`
  - `unsetType()`
  - `setType(int)`
  - `AttributePackage.getFill_Type()`

### setType

void setType(int value)
Sets the value of the '`Type`' attribute. Sets the type of the background element.

Parameters:
  `value` - the new value of the 'Type' attribute.
See Also:
  - `isSetType()`
  - `unsetType()`
  - `getType()`

### unsetType

void unsetType()
Unsets the value of the '`Type`' attribute.

See Also:
  - `isSetType()`
  - `getType()`
  - `setType(int)`

### isSetType

boolean isSetType()
Returns whether the value of the '`Type`' attribute is set.

Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `unsetType()`
  - `getType()`
  - `setType(int)`

### copyInstance

Fill copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`